# Function layersAreEquivalent

- layersAreEquivalent(layer1Input, layer2Input): boolean

- Determines whether two layer objects represent the equivalent layer.

  Two layers are considered equivalent if they are a solid or loose match based on the definition and return value of getEquivalencyTypeForLayers.

  #### Parameters

  - layer1Input: Layer | LayerJson | LayerProperties

    The first layer to compare.

  - layer2Input: Layer | LayerJson | LayerProperties

    The second layer to compare against.

  #### Returns boolean